List collections

GET
/beta/knowledge/collections

Paginated list knowledge collections

Authorization

ApiKeyAuth
headerAuthorization<token>

Query Parameters

pageLimit?integer

Maximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.

Formatint32
pageKey?string

Base64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.

Response Body

A list of knowledge collections

application/json
  1. response
data?array<>
Example Request
curl -X GET 'https://dev.dixa.io/beta/knowledge/collections' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419",
"title": "Test Collection",
"description": "This is a test collection",
"internalKbEnabled": true,
"restrictions": {
"isRestricted": true,
"inheritedRestrictions": [
{
"fromCollection": "78dfb531-2e1e-4ffc-bd18-fdad68cd2419"
}
]
}
}
]
}